package com.hw.system.common.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 工单流程对象 wf_process
 *
 * @author xins
 * @date 2024-01-19
 */
public class WfProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工单处理流程id */
    private Long wfProcessId;

    /** 工单处理名称 */
    @Excel(name = "工单处理名称")
    private String wfProcessName;

    /** 工单处理类型(1质检异常) */
    @Excel(name = "工单处理类型(1质检异常)")
    private String wfProcessType;

    /** 流程时限(单位：s) */
    @Excel(name = "流程时限(单位：s)")
    private Long timeLimit;

    /** 流程状态（1启用2禁用） */
    @Excel(name = "流程状态", readConverterExp = "1=启用2禁用")
    private String processStatus;
    private Long timeLimitDays;
    private Long timeLimitHours;

    public Long getTimeLimitDays() {
        return timeLimitDays;
    }

    public void setTimeLimitDays(Long timeLimitDays) {
        this.timeLimitDays = timeLimitDays;
    }

    public Long getTimeLimitHours() {
        return timeLimitHours;
    }

    public void setTimeLimitHours(Long timeLimitHours) {
        this.timeLimitHours = timeLimitHours;
    }

    public void setWfProcessId(Long wfProcessId)
    {
        this.wfProcessId = wfProcessId;
    }

    public Long getWfProcessId()
    {
        return wfProcessId;
    }
    public void setWfProcessName(String wfProcessName)
    {
        this.wfProcessName = wfProcessName;
    }

    public String getWfProcessName()
    {
        return wfProcessName;
    }
    public void setWfProcessType(String wfProcessType)
    {
        this.wfProcessType = wfProcessType;
    }

    public String getWfProcessType()
    {
        return wfProcessType;
    }
    public void setTimeLimit(Long timeLimit)
    {
        this.timeLimit = timeLimit;
    }

    public Long getTimeLimit()
    {
        return timeLimit;
    }
    public void setProcessStatus(String processStatus)
    {
        this.processStatus = processStatus;
    }

    public String getProcessStatus()
    {
        return processStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("wfProcessId", getWfProcessId())
            .append("wfProcessName", getWfProcessName())
            .append("wfProcessType", getWfProcessType())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("timeLimit", getTimeLimit())
            .append("processStatus", getProcessStatus())
            .toString();
    }
}
